package ports

import (
	"Yimaru-Backend/internal/domain"
	"context"
)

type ActivityLogStore interface {
	CreateActivityLog(ctx context.Context, log domain.ActivityLog) (domain.ActivityLog, error)
	ListActivityLogs(ctx context.Context, filter domain.ActivityLogFilter) ([]domain.ActivityLog, int64, error)
	GetActivityLogByID(ctx context.Context, id int64) (domain.ActivityLog, error)
}
